#
#  Config file for the dmv152 BSP 
#
#  $Id: dmv152.cfg,v 1.2 2001-09-27 12:02:52 chris Exp $
#

include $(RTEMS_ROOT)/make/custom/default.cfg

RTEMS_CPU=m68k
RTEMS_CPU_MODEL=m68020

# This is the actual bsp directory used during the build process.
RTEMS_BSP_FAMILY=dmv152

#
#  This contains the compiler options necessary to select the CPU model
#  and (hopefully) optimize for it. 
#

CPU_CFLAGS = 

# optimize flag: typically -0, could use -O4 or -fast
# -O4 is ok for RTEMS
CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer

#  This section makes the target dependent options file.
#  NDEBUG (C library)
#     if defined asserts do not generate code.  This is commonly used
#     as a command line option.
#
#  RTEMS_TEST_NO_PAUSE (RTEMS tests)
#     do not pause between screens of output in the rtems tests
#
#  RTEMS_DEBUG (RTEMS)
#     If defined, debug checks in RTEMS and support library code are enabled.
#
#  USE_CHANNEL_A (DMV152)
#  USE_CHANNEL_B (DMV152)
#     One and only one of these should be set to 1 to indicate which
#     serial port is used as the RTEMS console.

define make-target-options
	@echo "/* #define NDEBUG 1 */ "                     >>$@
	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
	@echo "#define USE_CHANNEL_A  1"                    >>$@
	@echo "#define USE_CHANNEL_B  0"                    >>$@
endef

# Here is the rule to actually build a $(ARCH)/foo.exe
# It also builds $(ARCH)/foo.sr and $(ARCH)/foo.nm
# Usage ref: src/tests/sptest/sp1/Makefile

# The following are definitions of make-exe which will work using ld as
# is currently required.  It is expected that as of gcc 2.8, the end user
# will be able to override parts of the compilers specs and link using gcc.

ifeq ($(RTEMS_USE_GCC272),yes)
define make-exe
	$(LD) $(LDFLAGS) -N -T $(LINKCMDS) -o $(basename $@).nxe \
	    $(START_FILE) $(LINK_OBJS) --start-group $(LINK_LIBS) --end-group
	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
	    $(PACKHEX) > $(basename $@).exe
	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
	$(SIZE) $(basename $@).nxe
endef
else
define make-exe
	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) -o $(basename $@).nxe \
	    $(LINK_OBJS) $(LINK_LIBS)
	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
	    $(PACKHEX) > $@
	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
	$(SIZE) $(basename $@).nxe
endef
endif

# Miscellaneous additions go here
